Summary: Tag editor for mp3, ogg, flac and other music files
Name: easytag
Version: 2.1.6
Release: 5%{?dist}
# Program is GPL only the included libapetag is LGPL
License: GPLv2+ and LGPLv2+
Group: Applications/Multimedia
URL: http://easytag.sourceforge.net/
# Remove code potentially able to decode mp3
#Source: http://downloads.sf.net/easytag/easytag-%{version}.tar.bz2
# tar xjvf easytag-$VERSION.tar.bz2
# rm -rf easytag-$VERSION/src/libmpg123/
# tar --numeric-owner -cjvf easytag-$VERSION-patched.tar.bz2 easytag-$VERSION
Source: easytag-%{version}-patched.tar.bz2
Patch0: easytag-2.1.6-id3lib.patch
Patch1: easytag-2.1.6-cddb_manual_search_fix.patch
Patch2: easytag-2.1.6-nomimedirs.patch
Patch3: easytag-2.1.6-flac-picture.patch
Patch4: easytag-2.1.6-load-from-txt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: id3lib-devel >= 3.7.12
BuildRequires: libid3tag-devel
BuildRequires: libvorbis-devel >= 1.0
BuildRequires: flac-devel
BuildRequires: speex-devel
BuildRequires: libmp4v2-devel
BuildRequires: wavpack-devel
BuildRequires: gettext

%description
EasyTAG is a utility for viewing, editing and writing the tags of MP3,
MP2, FLAC, Ogg Vorbis, MusePack and Monkey's Audio files.


%prep
%setup -q
%patch0 -p1 -b .id3lib
%patch1 -p1 -b .cddb_manual_search_fix
%patch2 -p1 -b .nomimedirs
%patch3 -p1 -b .flac-picture
%patch4 -p1 -b .load-from-txt
# With 2.0, the upstream tarball set *LOTS* of files +x :-(
find . -type f -exec %{__chmod} -x {} \;
%{__chmod} +x *.sh configure depcomp install-sh missing mkinstalldirs


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README THANKS TODO USERS-GUIDE
%{_bindir}/easytag
%{_datadir}/applications/*easytag.desktop
%{_datadir}/easytag/
%{_datadir}/pixmaps/*
%{_mandir}/man?/*


%changelog
* Fri Apr 30 2010 Matthias Saou <http://freshrpms.net/> 2.1.6-5
- Actually apply the patch to remove x-directory/normal.
- Include patch to fix empty decription with flac pictures (#559828).
- Include patch to fix load from txt feature (#562317).

* Thu Apr  8 2010 Matthias Saou <http://freshrpms.net/> 2.1.6-3
- Remove x-directory/normal from the desktop file (#451823).

* Mon Oct 19 2009 Matthias Saou <http://freshrpms.net/> 2.1.6-2
- Add libid3tag-devel BR to fix id3 tag support (#525519).
- Add speex-devel BR to support speex files.

* Sat Sep 12 2009 Matthias Saou <http://freshrpms.net/> 2.1.6-1
- Update to 2.1.6 : Development, but the latest for over a year now.
- Include upstream cddb_manual_search_fix patch.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1-5
- Autorebuild for GCC 4.3

* Mon Oct 22 2007 Matthias Saou <http://freshrpms.net/> 2.1-4
- Fix Russian comment of the desktop file (charset problem, #327331).

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 2.1-3
- Rebuild to fix wrong execmem requirement on ppc32.

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 2.1-2
- Update License field.

* Tue May  8 2007 Matthias Saou <http://freshrpms.net/> 2.1-1
- Update to 2.1.

* Wed May  2 2007 Matthias Saou <http://freshrpms.net/> 2.0.2-1
- Update to 2.0.2.

* Fri Apr 20 2007 Matthias Saou <http://freshrpms.net/> 2.0.1-1
- Update to 2.0.1.
- Update id3lib patch (Makefile.mingw changes).
- Include new wavpack support.

* Thu Mar  1 2007 Matthias Saou <http://freshrpms.net/> 2.0-1
- Update to 2.0.
- Remove now included APE tag patch.
- Chmod -x all files, then +x only where needed, since nearly all are +x :-(

* Mon Feb 19 2007 Matthias Saou <http://freshrpms.net/> 1.99.13-3
- Include patch to remove APE tags when tagging MP3 files (#200507).

* Thu Feb 15 2007 Matthias Saou <http://freshrpms.net/> 1.99.13-2
- Rebuild against flac 1.1.4.
- Enable libmp4v2 since it's now part of Fedora.

* Tue Dec 12 2006 Matthias Saou <http://freshrpms.net/> 1.99.13-1
- Update to 1.99.13.
- Update id3lib patch to still apply.
- Switch away from %%makeinstall to DESTDIR method.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.99.12-3
- FC6 rebuild.

* Tue Jul 11 2006 Matthias Saou <http://freshrpms.net/> 1.99.12-2
- Now use "patched" tarball with the libmpg123 directory removed.
- Include patch to disable libmpg123 and use id3lib instead for mpeg headers.

* Tue Apr 11 2006 Matthias Saou <http://freshrpms.net/> 1.99.12-1
- Update to 1.99.12.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 1.99.11-2
- Release bump to drop the disttag number in FC5 build.

* Fri Dec 16 2005 Matthias Saou <http://freshrpms.net/> 1.99.11-1
- Update to 1.99.11.

* Tue Dec 13 2005 Matthias Saou <http://freshrpms.net/> 1.99.10-1
- Update to 1.99.10.

* Thu Nov  3 2005 Matthias Saou <http://freshrpms.net/> 1.99.9-1
- Update to 1.99.9.

* Mon Oct 10 2005 Matthias Saou <http://freshrpms.net/> 1.99.8-1
- Update to 1.99.8.
- Try to add MP4/AAC support, but with current faad2 it fails to compile.

* Fri Oct 29 2004 Matthias Saou <http://freshrpms.net/> 1.99.1-1
- Fork off to "unstable" 1.99.1.

* Tue Jun  1 2004 Matthias Saou <http://freshrpms.net/> 0.31-1
- Update to stable 0.31.

* Fri Mar 26 2004 Matthias Saou <http://freshrpms.net/> 0.30.2-1
- Update to unstable 0.30.2.

* Wed Mar 24 2004 Matthias Saou <http://freshrpms.net/> 0.30.1-1
- Update to unstable 0.30.1.
- Remove desktop-file-install as it's now freedesktop style.

* Thu Feb 26 2004 Matthias Saou <http://freshrpms.net/> 0.30-4d
- Added patch for 0.30d.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 0.30-3c
- Rebuild for Fedora Core 1.

* Thu Oct 30 2003 Matthias Saou <http://freshrpms.net/> 0.30-2c
- Added patches to update to 0.30c.

* Tue Sep  9 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.30.

* Mon Sep  1 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.29.

* Tue Jul 15 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.28.1.

* Wed Jun  4 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.28.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Thu Mar 20 2003 Matthias Saou <http://freshrpms.net/>
- Added patch to 0.27a.

* Fri Feb  7 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.27.

* Fri Jan  3 2003 Ville Skyttä <ville.skytta at iki.fi> 0.26-fr1
- Update to 0.26.

* Wed Dec 25 2002 Ville Skyttä <ville.skytta at iki.fi> 0.25b-fr1
- Update to 0.25b.
- Build with flac support.

* Thu Oct 10 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.
- Rebuild with flac support... nope, doesn't compile :-(

* Fri Sep 20 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.24.

* Fri Aug 30 2002 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup for Red Hat Linux.
- A few %%files fixes and improvements.

* Thu Dec 18 2001 Jerome Couderc <j.couderc@ifrance.com>
- Updated for (Build)Requires entries

* Thu Sep 22 2001 Jerome Couderc <j.couderc@ifrance.com>
- Updated for /etc/X11/applnk/Multimedia/easytag.desktop

* Thu Sep 20 2001 Götz Waschk <waschk@linux-mandrake.com> 0.15.1-1
- Updated for autoconf

* Fri Jun 2 2000 Jerome Couderc <j.couderc@ifrance.com>
- Updated to include po files into the rpm package

* Fri May 5 2000 Jerome Couderc <j.couderc@ifrance.com>
- Initial spec file.

